Bug 1731546

Summary: osd_auto_discovery can be used with lvm scenario also
Product: Red Hat Ceph Storage Reporter: Vasishta <vashastr>
Component: DocumentationAssignee: Ranjini M N <rmandyam>
Status: CLOSED CURRENTRELEASE QA Contact: Ameena Suhani S H <amsyedha>
Severity: high Docs Contact:
Priority: high    
Version: 3.3CC: amsyedha, asriram, assingh, kdreyer
Target Milestone: z4   
Target Release: 3.3   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-21 13:31:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1809203    

Description Vasishta 2019-07-19 17:35:35 UTC
Description of problem:
In Table - "OSD Ansible Settings" in Installation guide (RHEL and ubuntu) and containerized guide, we have mentioned "Yes if using osd_scenario: collocated" under required column. 

As RFE 1644623 has been addressed and VERIFIED, now a user can use osd_auto_discovery feature with lvm scenario also, so we need to mention 'lvm' along with 'collocated'

Comment 1 Giridhar Ramaraju 2019-08-05 13:09:40 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 2 Giridhar Ramaraju 2019-08-05 13:10:54 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 3 Ameena Suhani S H 2019-09-26 13:31:01 UTC
Doc link: https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html/installation_guide_for_red_hat_enterprise_linux/deploying-red-hat-ceph-storage?lb_target=stage#installing-a-red-hat-ceph-storage-cluster

Reference: https://bugzilla.redhat.com/show_bug.cgi?id=1512960

1. Could you please reframe the lvm_volumes column-3 of Table 3.2.OSD Ansible Settings "Yes if using osd_scenario: lvm and storage devices are not defined using devices"

2.lvm advance example

lvm_volumes:
   - data: data-lv1
     data_vg: vg1
     journal: journal-lv1
     journal_vg: vg2
   - data: data-lv2
     journal: /dev/sda
     data_vg: vg1
There is no support for journal on device.


3.Lvm_volumes column-4 of Table 3.2.OSD Ansible Settings, does not specify details for Bluestore